What are your  etc/network/interfaces  setting for wlan0?

On Monday, January 30, 2012, ruun <ruunhb@googlemail.com> wrote:
> Hi, i know this is probably a very old issue for enabling wifi connection on
> gumstix. But i'm currently having this problem and didn't find a good
> solution on the web about this issue.
>
> i'm currently administrating an Overo Fire system with a Tobi expansion
> board and try to enabling the wifi support for our robotic system. It seems
> libertas kernel modules are successfully installed and in use based on the
> outputs:
>
> debian-armel-hasi:/# modprobe -l | grep libertas
> kernel/drivers/net/wireless/libertas/libertas.ko
> kernel/drivers/net/wireless/libertas/usb8xxx.ko
> kernel/drivers/net/wireless/libertas/libertas_sdio.ko
>
> debian-armel-hasi:/# modprobe -l | grep lib80211
> kernel/net/wireless/lib80211.ko
>
> debian-armel-hasi:/# lsmod
> Module                  Size  Used by
> pwm_led                 5621  0
> pwm                     5601  0
> v4l2_driver           174324  0
> videodev               66405  1 v4l2_driver
> bridgedriver          165775  0
> snd_soc_twl4030        34752  0
> libertas_sdio          15159  0
> snd_soc_core           86920  1 snd_soc_twl4030
> libertas               94033  1 libertas_sdio
> snd_pcm                74324  2 snd_soc_twl4030,snd_soc_core
> cfg80211              148259  1 libertas
> snd_timer              19102  1 snd_pcm
> snd                    55048  3 snd_soc_core,snd_pcm,snd_timer
> soundcore               6884  1 snd
> lib80211                5404  1 libertas
> snd_page_alloc          4871  1 snd_pcm
>
> But i have no chance to activate the wlan0 interface via ifconfig /
> iwconfig.
>
> debian-armel-hasi:~# iwconfig
> lo        no wireless extensions.
> eth0      no wireless extensions.
> sit0      no wireless extensions.
>
> debian-armel-hasi:~# ifconfig wlan0 up
> wlan0: ERROR while getting interface flags: No such device
>
> Das Value for gpio16 is also set to 1. (should be active)
>
> Based on the materials on web it seems this issue could be also relating to
> the kernel version 2.6.34, because many people have problems with that
> version.
>
> Does anyone already resolve this problem and which kernel version is
> preferable? We have installed currently 2.6.32.
>
> Thx for any help. If you need more informations about the system or its
> configuration, don't hesitate to ask.
>
> Chris
>
>
> --
> View this message in context: http://gumstix.8.n6.nabble.com/Another-libertas-question-No-Such-Device-tp573441p4350785.html
> Sent from the Gumstix mailing list archive at Nabble.com.
>
> ------------------------------------------------------------------------------
> Try before you buy = See our experts in action!
> The most comprehensive online learning library for Microsoft developers
> is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
> Metro Style Apps, more. Free future releases when you subscribe now!
> http://p.sf.net/sfu/learndevnow-dev2
> _______________________________________________
> gumstix-users mailing list
> gumstix-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/gumstix-users
>